Index: src/sas/sasgui/perspectives/calculator/data_editor.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/data_editor.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
+++ src/sas/sasgui/perspectives/calculator/data_editor.py	(revision a5e1b6ca3a359d274a773b956b997cd816eb4642)
@@ -19,5 +19,5 @@
 _QMAX_DEFAULT = 0.13
 _NPTS_DEFAULT = 50
-#Control panel width 
+#Control panel width
 if sys.platform.count("darwin") == 0:
     PANEL_WIDTH = 500
@@ -196,5 +196,5 @@
         summary = 'No data info available...'
         self.data_summary.SetValue(summary)
-        #self.summary_sizer.Add(self.data_summary, 1, wx.EXPAND|wx.ALL, 10)  
+        #self.summary_sizer.Add(self.data_summary, 1, wx.EXPAND|wx.ALL, 10)
 
     def _layout_button(self):
@@ -579,5 +579,6 @@
         wildcard = "CanSAS 1D files(*.xml)|*.xml"
         dlg = wx.FileDialog(self, "Choose a file",
-                            self._default_save_location, "", wildcard , wx.SAVE)
+                            self._default_save_location, "", wildcard ,
+                            wx.FD_SAVE)
 
         for data in self._data:
Index: src/sas/sasgui/perspectives/calculator/gen_scatter_panel.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/gen_scatter_panel.py	(revision 34f23c81aa61f99e9fa067689ac823e11cfecde3)
+++ src/sas/sasgui/perspectives/calculator/gen_scatter_panel.py	(revision a5e1b6ca3a359d274a773b956b997cd816eb4642)
@@ -1671,5 +1671,5 @@
                             location, "sld_file",
                              extension,
-                             wx.SAVE)
+                             wx.FD_SAVE)
         if dlg.ShowModal() == wx.ID_OK:
             path = dlg.GetPath()
Index: src/sas/sasgui/perspectives/corfunc/corfunc_panel.py
===================================================================
--- src/sas/sasgui/perspectives/corfunc/corfunc_panel.py	(revision ef74a8b4c5fbc72695853e60c09c0379d8d1c2c6)
+++ src/sas/sasgui/perspectives/corfunc/corfunc_panel.py	(revision a5e1b6ca3a359d274a773b956b997cd816eb4642)
@@ -337,5 +337,5 @@
         dlg = wx.FileDialog(self, "Choose a file",
                             default_save_location, \
-                            self.window_caption, "*.crf", wx.SAVE)
+                            self.window_caption, "*.crf", wx.FD_SAVE)
         if dlg.ShowModal() == wx.ID_OK:
             path = dlg.GetPath()
Index: src/sas/sasgui/perspectives/fitting/basepage.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/basepage.py	(revision cb64d86aa05427be27c71cc415727ce4d7fdce69)
+++ src/sas/sasgui/perspectives/fitting/basepage.py	(revision a5e1b6ca3a359d274a773b956b997cd816eb4642)
@@ -676,5 +676,5 @@
                         self._manager.parent._default_save_location
         dlg = wx.FileDialog(self, "Choose a file", self._default_save_location,
-                            self.window_caption, "*.fitv", wx.SAVE)
+                            self.window_caption, "*.fitv", wx.FD_SAVE)
 
         if dlg.ShowModal() == wx.ID_OK:
Index: src/sas/sasgui/perspectives/fitting/report_dialog.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/report_dialog.py	(revision 44e8f48e6ada97db8eb483009edc07705c6329a2)
+++ src/sas/sasgui/perspectives/fitting/report_dialog.py	(revision a5e1b6ca3a359d274a773b956b997cd816eb4642)
@@ -49,5 +49,5 @@
         dlg = wx.FileDialog(self, "Choose a file",
                             wildcard=self.wild_card,
-                            style=wx.SAVE | wx.OVERWRITE_PROMPT | wx.CHANGE_DIR)
+                            style=wx.FD_SAVE | wx.OVERWRITE_PROMPT | wx.CHANGE_DIR)
         dlg.SetFilterIndex(0)  # Set .html files to be default
 
Index: src/sas/sasgui/perspectives/invariant/invariant_panel.py
===================================================================
--- src/sas/sasgui/perspectives/invariant/invariant_panel.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
+++ src/sas/sasgui/perspectives/invariant/invariant_panel.py	(revision a5e1b6ca3a359d274a773b956b997cd816eb4642)
@@ -1255,5 +1255,5 @@
         dlg = wx.FileDialog(self, "Choose a file",
                             self._default_save_location, \
-                            self.window_caption, "*.inv", wx.SAVE)
+                            self.window_caption, "*.inv", wx.FD_SAVE)
         if dlg.ShowModal() == wx.ID_OK:
             path = dlg.GetPath()
Index: src/sas/sasgui/perspectives/invariant/report_dialog.py
===================================================================
--- src/sas/sasgui/perspectives/invariant/report_dialog.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
+++ src/sas/sasgui/perspectives/invariant/report_dialog.py	(revision a5e1b6ca3a359d274a773b956b997cd816eb4642)
@@ -52,5 +52,5 @@
         dlg = wx.FileDialog(self, "Choose a file",
                             wildcard=self.wild_card,
-                            style=wx.SAVE | wx.OVERWRITE_PROMPT | wx.CHANGE_DIR)
+                            style=wx.FD_SAVE | wx.OVERWRITE_PROMPT | wx.CHANGE_DIR)
         dlg.SetFilterIndex(0)  # Set .html files to be default
 
Index: src/sas/sasgui/perspectives/pr/inversion_panel.py
===================================================================
--- src/sas/sasgui/perspectives/pr/inversion_panel.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
+++ src/sas/sasgui/perspectives/pr/inversion_panel.py	(revision a5e1b6ca3a359d274a773b956b997cd816eb4642)
@@ -282,5 +282,5 @@
         dlg = wx.FileDialog(self, "Choose a file",
                             self._default_save_location,
-                            self.window_caption, "*.prv", wx.SAVE)
+                            self.window_caption, "*.prv", wx.FD_SAVE)
         if dlg.ShowModal() == wx.ID_OK:
             path = dlg.GetPath()
